XtError(3)

NAME
XtError, XtSetErrorHandler, XtSetWarningHandler, XtWarning - low-level error handlers

SYNTAX
#include <X11/Intrinsic.h>

_X_NORETURN void XtError(const char *message);

void XtSetErrorHandler(_X_NORETURN XtErrorHandler handler);

void XtSetWarningHandler(XtErrorHandler handler);

void XtWarning(const char *message);

ARGUMENTS

message
    Specifies the nonfatal error message that is to be reported.

handler
    Specifies the new fatal error procedure, which should not return, or the nonfatal error procedure, which usually returns.

message
    Specifies the message that is to be reported.

DESCRIPTION
The XtError function has been superseded by XtAppError.

The XtSetErrorHandler function has been superseded by XtAppSetErrorHandler.

The XtSetWarningHandler function has been superseded by XtAppSetWarningHandler.

The XtWarning function has been superseded by XtAppWarning.

SEE ALSO
XtAppError(3)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface